Bug 1916271 - Known issues should mention failure to apply soft-anti-affinity to masters beyond the third
Summary: Known issues should mention failure to apply soft-anti-affinity to masters be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
Max Bridges
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 13:05 UTC by Pierre Prinetti
Modified: 2021-02-24 15:53 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4548 0 None closed Bug 1916271: openstack known issues: ControlPlane anti-affinity 2021-01-25 10:27:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:39 UTC

Description Pierre Prinetti 2021-01-14 13:05:39 UTC
When installing with more than three masters, only the first three are successfully applied the "soft-anti-affinity".

This is due to a long-standing OpenStack Compute module, where instances created in parallel will not honour the "soft-anti-affinity" policy. The installer only guarantees that the first three Control plane nodes are created sequentially.

Comment 2 weiwei jiang 2021-01-21 07:42:33 UTC
Checked with 4.7.0-0.nightly-2021-01-19-095812

./openshift-install 4.7.0-0.nightly-2021-01-19-095812
built from commit 0c58270fadf5683ac6e0198b1cced305badd9e6b
release image registry.ci.openshift.org/ocp/release@sha256:ac57098ad18ed07977b54b90be79dc44f34eb03e42e0be2a95963a316bcde315

$ cat install-config.yaml
---
apiVersion: v1
controlPlane:
  architecture: amd64
  hyperthreading: Enabled
  name: master
  platform:
    openstack:
      additionalNetworkIDs: &1
      - 27671b90-c2bc-483f-b783-cc856f20ee5d
      additionalSecurityGroupIDs: &2
      - 8794f45c-4f54-40a4-aadb-38d6c32e286e
  replicas: 5
...

# openstack server list --name wj4
+--------------------------------------+-----------------------------+--------+----------------------------------------------------------------------+----------------------------+-----------+
| ID                                   | Name                        | Status | Networks                                                             | Image                      | Flavor    |
+--------------------------------------+-----------------------------+--------+----------------------------------------------------------------------+----------------------------+-----------+
| 237131ae-3d9d-4c04-9f49-f22663ff6f65 | wj47ios121aw-5xmlb-master-3 | ACTIVE | wj47ios121aw-5xmlb-openshift=192.168.1.216; manila_net=172.16.34.167 | rhcos-47.83.202101161239-0 | m1.xlarge |
| 86308764-a2cd-4612-ba3b-e340a2c6abcd | wj47ios121aw-5xmlb-master-4 | ACTIVE | wj47ios121aw-5xmlb-openshift=192.168.3.20; manila_net=172.16.37.88   | rhcos-47.83.202101161239-0 | m1.xlarge |
| 480dc948-1dea-42a9-a924-0d376895550a | wj47ios121aw-5xmlb-master-2 | ACTIVE | wj47ios121aw-5xmlb-openshift=192.168.2.160; manila_net=172.16.35.24  | rhcos-47.83.202101161239-0 | m1.xlarge |
| 91be288f-0938-4f68-88e2-41494efcf275 | wj47ios121aw-5xmlb-master-1 | ACTIVE | wj47ios121aw-5xmlb-openshift=192.168.0.198; manila_net=172.16.35.160 | rhcos-47.83.202101161239-0 | m1.xlarge |
| 627386f7-373d-4265-8b72-776ec76b32d9 | wj47ios121aw-5xmlb-master-0 | ACTIVE | wj47ios121aw-5xmlb-openshift=192.168.0.119; manila_net=172.16.35.3   | rhcos-47.83.202101161239-0 | m1.xlarge |
+--------------------------------------+-----------------------------+--------+----------------------------------------------------------------------+----------------------------+-----------+

# openstack server group show wj47ios121aw-5xmlb-master
+----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| Field    | Value                                                                                                                                                                                        |
+----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| id       | 57377ad2-95aa-4142-b77b-03dd34ec27d9                                                                                                                                                         |
| members  | 237131ae-3d9d-4c04-9f49-f22663ff6f65, 480dc948-1dea-42a9-a924-0d376895550a, 627386f7-373d-4265-8b72-776ec76b32d9, 86308764-a2cd-4612-ba3b-e340a2c6abcd, 91be288f-0938-4f68-88e2-41494efcf275 |
| name     | wj47ios121aw-5xmlb-master                                                                                                                                                                    |
| policies | soft-anti-affinity                                                                                                                                                                           |
+----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+

Comment 5 errata-xmlrpc 2021-02-24 15:53:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.